Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

executable file 53 lines (40 sloc) 1.282 kb
#!/bin/bash
PYTHON_EXE="/usr/bin/env python -Wignore::DeprecationWarning"
NIMBUS_HOME_REL="`dirname $0`/.."
NIMBUS_HOME=`cd $NIMBUS_HOME_REL; pwd`
NIMBUS_WEBDIR="$NIMBUS_HOME/web"
if [ ! -d $NIMBUS_WEBDIR ]; then
echo "Web directory does not exist: $NIMBUS_WEBDIR"
echo "Is this a real Nimbus installation?"
exit 1
fi
NIMBUS_PYLIB="$NIMBUS_WEBDIR/lib/python"
NIMBUS_PYSRC="$NIMBUS_WEBDIR/src/python"
PYTHONPATH="$NIMBUS_PYSRC:$NIMBUS_PYLIB:$PYTHONPATH"
export PYTHONPATH
source $NIMBUS_HOME/ve/bin/activate
# ------------------------------------------------------------------------------
# returns 0 if Python 2.5+
$PYTHON_EXE -c "import sys; sys.exit(sys.version_info < (2,5))"
if [ $? -ne 0 ]; then
echo "ERROR: Your system must have Python version 2.5 or later."
exit 1
fi
# The following script expands the tarballs in lib/
$NIMBUS_WEBDIR/sbin/install-deps.sh $DEBUG
if [ $? -ne 0 ]; then
echo ""
echo "Dependencies are not set up properly, exiting."
exit 3
fi
$PYTHON_EXE $NIMBUS_HOME/libexec/nimbusconfigure.py --basedir $NIMBUS_HOME $@
EXITCODE=$?
if [ $EXITCODE -ne 42 ]; then
if [ $EXITCODE -eq 0 ]; then
exit 0
else
echo ""
echo "Nimbus is not set up properly, exiting."
exit 2
fi
fi
Jump to Line
Something went wrong with that request. Please try again.